Bug 1280481 - two missing localization strings: ERROR com.redhat.rhn.common.localization.LocalizationService
two missing localization strings: ERROR com.redhat.rhn.common.localization.Lo...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
570
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Grant Gainey
Lukáš Hellebrandt
:
Depends On:
Blocks: sat580-low
  Show dependency treegraph
 
Reported: 2015-11-11 15:33 EST by Jan Hutař
Modified: 2018-01-12 06:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-21 08:06:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2015-11-11 15:33:41 EST
Description of problem:
There are two (at least) missing localization strings in the webUI.


Version-Release number of selected component (if applicable):
spacewalk-java-2.3.8-117.el6sat.noarch


How reproducible:
always


Steps to Reproduce:
First string:
1. Attempt to delete parent channel with existing child channel and note that
   error message that appears at the upper part of the page says "**This
   channel has child channels associated with it. You must delete those
   channels first before deleting the parent.**"
Second string:
1. Go to Users -> <some_user> -> Addresses and note that "Country:" drop-down
   menu says "**SS**"


Actual results:
First string:
2015-11-11 21:31:15,194 [TP-Processor3] ERROR com.redhat.rhn.common.localization.LocalizationService - *** ERROR: Message with id: [This channel has child channels associated with it.  You must delete those channels first before deleting the parent.] not found.*** called by com.redhat.rhn.frontend.struts.XmlMessageResources.getMessage(XmlMessageResources.java:85)
Second string:
2015-11-11 21:28:30,235 [TP-Processor6] ERROR com.redhat.rhn.common.localization.LocalizationService - *** ERROR: Message with id: [SS] not found.*** called by com.redhat.rhn.frontend.action.user.UserActionHelper.getCountries(UserActionHelper.java:63)


Expected results:
No errors in the catalina.out log, nicer messages in the webUI
Comment 2 Lukáš Hellebrandt 2017-05-19 08:10:21 EDT
Verified with sat580 compose from 2017-05-15.

Used reproducer from OP. Correct message is shown upon channel deletion, South Sudan (SS) is shown correctly in a list of countries, and accessing the pages doesn't cause any error in catalina.out.

Note You need to log in before you can comment on or make changes to this bug.